/*style CSS*/
/* Import fontuz google*/
@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300..700;1,300..700&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');
/*
font-family: "Lato", sans-serif;
font-family: "Cormorant Garamond", serif;*/
:root{
    --kolor-glowny: #E36A00;
    --kolor-akcent: ;
    --kolor-ciemny: #1A1A1A;
    --kolor-jasny: #F3E2D4;
}

*{
    box-sizing: border-box;
    transition: 1s;
}
html{
    scroll-behavior: smooth;
}
body{
    font-family: "Lato", sans-serif;
}
a{
    text-decoration: none;
}
p{
    line-height: 140%;
    color: var(--kolor-ciemny);
    font-size: 20px;
}
img{
    max-width: 100%;
}

h1, h2, h3, h4, h5, h6{
    font-family: "Cormorant Garamond", serif;
}
h1{
    font-weight: 800;
    font-size: 72px;
    text-align: right;
}
h2{
    font-weight: 800;
    font-size: 52px;
    margin: 40px 0 60px 0;
}
h3{
    font-weight: 600;
    font-size: 36px;
    color: var(--kolor-ciemny);
}
ol li{
    font-size: 20px;
    line-height: 140%;
}
section{
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    scroll-margin-top: 72px;

}

.zawartosc{
    max-width: 1200px;
    width: 100%;
}
nav{
    background-color: var(--kolor-jasny);
    position: fixed;
    width: 100%; 
    padding: 10px; 
    display: flex;
    justify-content:space-between;
    z-index: 2;
    align-items: center;
}
nav img{
    max-width: 64px;
}
nav ol{
    max-width: 1200px;
    width: 100%; 
    display: flex;
    justify-content:flex-end;
}
nav ol li{
}
nav ol li a{
    padding: 10px 2vw;
    margin: 0 4px 0 4px;
    text-align: center;
    display: block;
    color: var(--kolor-ciemny);
    font-weight: 600;
    border-radius: 8px;
    font-size: 16px;
}
nav ol li a:hover{
    /*background-color: var(--kolor-glowny);
    color: var(--kolor-jasny);*/
    text-decoration: underline var(--kolor-glowny);
    color: var(--kolor-glowny);
    transform: scale(1.2);
}
.nawigacja a{
    padding: 10px 2vw;
    text-align: center;
    display: block;
    color: var(--kolor-ciemny);
    font-weight: 600;
    border-radius: 8px;
    font-size: 16px;
}
.nawigacja a:hover{
    /*background-color: var(--kolor-glowny);*/
    color: var(--kolor-jasny);
    transform: scale(1.2);
}

#pierwsza{
    background: url(../img/tlo.png) no-repeat center center fixed;
    background-size:cover;
}
#pierwsza .zawartosc{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    text-align: end;
}
#pierwsza article{
    align-items: flex-end;
}
#pierwsza h1{
    font-size: 88px;
    padding-bottom: 28px;
    max-width: 100%;
}
#pierwsza p{
    max-width: 600px;
    font-size: 24px;
    padding-bottom: 80px;
    margin-left: auto;
    font-weight: 600;
}
#pierwsza a{
    background-color: var(--kolor-ciemny);
    color: var(--kolor-jasny);
    padding: 20px 40px;
    border-radius: 10px;
}
#pierwsza a:hover{
    background-color: var(--kolor-glowny);
    color: var(--kolor-jasny);
}

#druga{
    background-color: var(--kolor-ciemny);
    padding-left: 0;
    padding-right: 0;
}
#druga .zawartosc{
    /*podzielić na dwie kolumny, z lewej strony obrazek z prawej, naglowek, tekst, lista, tekst, hiperlacza*/
	display: flex;
	gap: 40px;
	align-items: center;
    flex-wrap: wrap;
    padding-bottom: 24px;
    padding-left: 20px;
    padding-right: 20px;
}
#druga article{
    flex: 1 1 400px;
}
#druga h2{
    color: var(--kolor-jasny);
}
#druga img{
    border-radius: 8px;
    width: 100%;
    /* max-width: 50%; */
}
#druga h3{
    margin: 20px 0;
    color: var(--kolor-jasny);
}
#druga ol{
	list-style-type: disc;
	margin-left: 20px;
    margin: 10px 0 20px 40px;
}
#druga ol li{
    margin-bottom: 10px;
    color: var(--kolor-glowny);
    
}
#druga a{
    border-radius: 8px;
    padding: 12px 24px;
    color: var(--kolor-jasny);
    background-color: var(--kolor-jasny);
}
#druga a:hover{
    background-color: var(--kolor-akcent);
    color: var(--kolor-jasny);
}
#druga p{
    padding-bottom: 10px ;
    color: var(--kolor-jasny);
}


#trzecia{
    background-color: var(--kolor-jasny);
    padding-bottom: 164px;
}
#trzecia h2{}
#trzecia .zawartosc{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    align-items: flex-end;
    margin-top: -100px;

}
#trzecia article{
    flex: 0 1 350px;
    
}
#trzecia article img{
    max-width: 80%;
}
.box-opis{
    border: 4px solid var(--kolor-glowny);
    padding: 24px;
    border-radius: 20px;
    text-align:center;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}
.dorycki{
    height: 350px;
}
.jonski{
    height: 480px;
}
.dorycki-obrazek{
    margin-bottom: -50px !important;
   
}
.jonski-obrazek{
    margin-bottom: -180px !important;
}
.koryncki{
    height: 400px;
}
.koryncki-obrazek{
    margin-bottom: -100px !important;
}

#trzecia article:hover .box-opis{
    background-color: #efdaca;
    box-shadow: 0 0 20px rgba(0,0,0,.3);
}
.obrazek{
    min-height: 450px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    margin-bottom: -40px;
    transform: scale(1.2);
}




#trzecia article:hover img{
    transform: translateY(-20px) scale(1.1);
}
#trzecia article h3{
    margin: 20px 0;
}


#czwarta{
    background: url(../img/przyklad.png) no-repeat bottom -50px right -50px;
    background-size: 680px;
    background-color: var(--kolor-glowny);
    border-radius: 64px;
    margin-top: -80px;
    padding-bottom: 24px;
     position: relative;
    z-index: 1;
    box-shadow: 0 -15px 30px -5px rgba(174, 154, 129, 0.779);
    border-bottom: solid var(--kolor-jasny) 4px;

}
#czwarta .zawartosc{
    
    /*background-color: var(--kolor-glowny);
    border-radius: 32px;
    padding: 24px;*/
}
#czwarta h2{
    color: var(--kolor-jasny);
    text-align: center;
}
#czwarta .zawartosc > p{
    margin-bottom: 16px;
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 24px;
    text-align: left;
    max-width: 800px;
    padding-left: 45px;
}

#czwarta ol{
    list-style-type: disc;
    padding: 0 40px;
    max-width: 50%;
}
#czwarta ol li{
    margin-bottom: 30px;
    position: relative;
}
/*#czwarta ol li:before{
    content: '';
    height: 115%;
    width: 2px;
    background-color: var(--kolor-ciemny);
    position: absolute;
    left: -20px;
    top: 20px;
}*/
#czwarta ol li:nth-child(3):before{
    background-color: var(--kolor-jasny);
    height: 0;
} 
#czwarta ol li h4{
    color: var(--kolor-ciemny);
    font-size: 30px;
    font-weight: 800;
}
#czwarta h3{
    margin: 12px 0;
    color: var(--kolor-jasny);
    text-align: left;
    font-weight: 600;
}
#czwarta li:hover{
    transform:translateX(27px) scale(1.1);
}

#piata{
    background-color: var(--kolor-ciemny);
    min-height: auto;
    padding-top: 64px;
    margin-top: -60px;
    position: relative;
    /*border-bottom: 2px solid var(--kolor-glowny);*/
    padding-left: 0;
    padding-right: 0;
}
#piata form{
    display: flex;
    flex-direction: column;
    align-items: center;

}
#piata .zawartosc{

    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    margin-bottom: 40px;

}
#piata article{
    flex: 0 1 350px;
    border: 4px solid var(--kolor-glowny);
    padding: 20px;
    border-radius: 20px;
    text-align:center;
    display: flex;
    flex-direction: column;
    color: var(--kolor-jasny);
    margin-bottom: 20px;
}
#piata h2{
    color: var(--kolor-jasny);
}
#piata h3{
    color: var(--kolor-jasny);
    font-size: 32px;
    padding-bottom: 12px;
    line-height: 140%;
}
#piata h4{
    font-size: 16px;
    color: var(--kolor-jasny);
    padding: 8px;
    text-align: center;
}
#piata .opcje label{
    display: block;
    padding: 10px;
    margin: 5px 0;
    cursor: pointer;
}
#piata .quiz{
    text-align: center;
    display:inline;
}
.sprawdz{
    /* background-color: red; */
}
#piata .przycisk{
    background-color: var(--kolor-jasny);
    color: var(--kolor-ciemny);
    padding: 20px 40px;
    border-radius: 10px;
    cursor: pointer;
    margin-top: 20px;
}
#piata .przycisk:hover{
    background-color: var(--kolor-glowny);
    color: var(--kolor-jasny);
}
#piata .sprawdz:hover .wyniki{
    opacity: 1;
}
#piata .wyniki{
    opacity: 0;
    margin-top: 30px;
    padding: 20px;
}
#piata li{
    padding: 4px;
    text-align: center;
    color: var(--kolor-jasny);
    font-size: 12px;
}

#piata input[type=reset]{
    background: none;
    border: none;
    color: var(--kolor-glowny);
    padding: 20px 40px;
    border-radius: 10px;
    cursor: pointer;
    text-decoration: underline;
    display: inline-block;
    width: 100%;
    text-align: center;
}
#piata .reset:hover{
    color: var(--kolor-jasny);
}
#piata input[type="radio"]{
    accent-color: var(--kolor-glowny);
}
.meander{
    width: 100%;
    height: 60px; 
    background-image: url(../img/meander2.png); 
    background-repeat: repeat-x;
    background-size: auto 100%;
    animation: meander-scroll 30s linear infinite;
}

@keyframes meander-scroll {
    from {
    }
    to {
        background-position: 2000px 0; 
    }
}

#stopka{
    background-color: var(--kolor-ciemny);
    color: var(--kolor-jasny);
    min-height: 10vh;
}
#stopka a{
	color: var(--kolor-jasny);
    display: block;
    margin-bottom: 8px;
}
#stopka a:hover{
    color: var(--kolor-glowny);
}
#stopka p{
    color: rgba(158,158,158,1.00);
    line-height: 100%;
    margin-bottom: 8px;
}

#stopka .zawartosc{
	display: flex;
	justify-content: space-evenly;
	gap: 20px;
    text-align: center;
    flex-wrap: wrap;
    /* background-color: green; */
}
#stopka .kolumna1{
    padding: 20px;
    flex: 0 1 200px;
    box-sizing: border-box;
}
#stopka .kolumna2{
    padding: 20px;
    flex: 0 1 200px;
    box-sizing: border-box;
}
#stopka .kolumna3{
    padding: 20px;
    flex: 0 1 200px;
    box-sizing: border-box;
}
#stopka h4{
    margin-bottom: 20px;
    font-size: 22px;
    color: var(--kolor-jasny);
}
#stopka h6{
    margin-top: 40px;
    color: #666;
}
